|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Member Functions | Protected Member Functions | Protected Attributes
gameplay::FlowLayout Class Reference

`#include <FlowLayout.h>`

Inheritance diagram for gameplay::FlowLayout:

List of all members.

## Public Member Functions

Layout::Type | getType ()
int | getHorizontalSpacing () const
int | getVerticalSpacing () const
void | setSpacing (int horizontalSpacing, int verticalSpacing)

## Protected Member Functions

void | update (const Container *container)

## Protected Attributes

int | _horizontalSpacing
int | _verticalSpacing

## Detailed Description

Defines a flow layout.

A flow layout arranges controls in order, left-to-right, row by row and wraps.

## Member Function Documentation

int gameplay::FlowLayout::getHorizontalSpacing | ( |  | ) | const

Returns the horizontal spacing between controls in the layout.

Returns:
  The horizontal spacing between controls.

Layout::Type gameplay::FlowLayout::getType | ( |  | ) | `[virtual]`

Get the type of this Layout.

Returns:
  Layout::LAYOUT_FLOW

Implements gameplay::Layout.

int gameplay::FlowLayout::getVerticalSpacing | ( |  | ) | const

Returns the vertical spacing between controls in the layout.

Returns:
  The vertical spacing between controls.

void gameplay::FlowLayout::setSpacing | ( | int | horizontalSpacing,
|  | int | verticalSpacing
| ) |  |

Sets the spacing to add between controls in the layout.

Parameters:

  horizontalSpacing | The horizontal spacing between controls.
  verticalSpacing | The vertical spacing between controls.

void gameplay::FlowLayout::update | ( | const Container * | container | ) | `[protected, virtual]`

Update the controls contained by the specified container.

Parameters:

  container | The container to update.

Implements gameplay::Layout.

## Member Data Documentation

int gameplay::FlowLayout::_horizontalSpacing `[protected]`

Horizontal spacing between controls.

int gameplay::FlowLayout::_verticalSpacing `[protected]`

Vertical spacing between controls.

All Classes Functions Variables Typedefs Enumerations Enumerator